Get a batch
curl --request GET \
--url https://api.telleo.ai/v1/batches/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.telleo.ai/v1/batches/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.telleo.ai/v1/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "batch",
"agent_id": "<string>",
"test": true,
"total": 123,
"finished": 123,
"counts": {
"completed": 412,
"no_answer": 160,
"queued": 300,
"busy": 28
},
"created_at": "2023-11-07T05:31:56Z"
}Batches
Get a batch
Progress of a batch: how many calls are in each status. List its calls with GET /calls?batch_id=.
Scope: calls:read.
GET
/
batches
/
{id}
Get a batch
curl --request GET \
--url https://api.telleo.ai/v1/batches/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.telleo.ai/v1/batches/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.telleo.ai/v1/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "batch",
"agent_id": "<string>",
"test": true,
"total": 123,
"finished": 123,
"counts": {
"completed": 412,
"no_answer": 160,
"queued": 300,
"busy": 28
},
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
Your AI calling API key (vak_call_…). Authorization: Bearer <key> also works.